package q02b.exe.seguridad.valueobjects;



//import java.util.ArrayList;



import q02b.exe.arquitectura.valueobjects.Q02bValueObject;



public class Q02bUsuario extends Q02bValueObject{



	private static final long serialVersionUID = 5273829884704744788L;		

	private String id;

	private String pass;

	private String nombre;

	private String apellido1;

	private String apellido2;

	private String dni;

	private String niProvincia;

	private String descProvincia;

	private String niMunicipio;

	private String descMunicipio;

	private String niPerfil;

	private String fechaActivacion;

	private String fechaDesactivacion;

	

	

	public Q02bUsuario(String id, String pass, String nombre, String apellido1, String apellido2, String dni, String niProvincia, String niMunicipio, String niPerfil, String fechaActivacion, String fechaDesactivacion) {

		this.id = id;

		this.pass = pass;

		this.nombre = nombre;

		this.apellido1 = apellido1;

		this.apellido2 = apellido2;

		this.dni = dni;

		this.niProvincia = niProvincia;

		this.niMunicipio = niMunicipio;

		this.niPerfil = niPerfil;

		this.fechaActivacion = fechaActivacion;

		this.fechaDesactivacion = fechaDesactivacion;

	}



	



	public Q02bUsuario() {

		this.id = null;

		this.pass = null;

		this.nombre = null;

		this.apellido1 = null;

		this.apellido2 = null;

		this.dni = null;

		this.niProvincia = null;

		this.niMunicipio = null;

		this.niPerfil = null;

		this.fechaActivacion = null;

		this.fechaDesactivacion = null;

	}







	public String getApellido1() {

		return apellido1;

	}



	public void setApellido1(String apellido1) {

		this.apellido1 = apellido1;

	}



	public String getApellido2() {

		return apellido2;

	}



	public void setApellido2(String apellido2) {

		this.apellido2 = apellido2;

	}



	public String getDni() {

		return dni;

	}



	public void setDni(String dni) {

		this.dni = dni;

	}



	public String getId() {

		return id;

	}



	public void setId(String id) {

		this.id = id;

	}



	public String getNiProvincia() {

		return niProvincia;

	}



	public void setNiProvincia(String niProvincia) {

		this.niProvincia = niProvincia;

	}



	public String getNiMunicipio() {

		return niMunicipio;

	}



	public void setNiMunicipio(String niMunicipio) {

		this.niMunicipio = niMunicipio;

	}





	public String getNombre() {

		return nombre;

	}



	public void setNombre(String nombre) {

		this.nombre = nombre;

	}



	

	public String getPass() {

		return pass;

	}



	public void setPass(String pass) {

		this.pass = pass;

	}

	

	public String getNiPerfil() {

		return niPerfil;

	}



	public void setNiPerfil(String niPerfil) {

		this.niPerfil = niPerfil;

	}

	

	public String getFechaActivacion() 

	{

		return fechaActivacion;

	}



	public void setFechaActivacion(String fechaActivacion) 

	{

		this.fechaActivacion = fechaActivacion;

	}

	

	public String getFechaDesactivacion() 

	{

		return fechaDesactivacion;

	}



	public void setFechaDesactivacion(String fechaDesactivacion) 

	{

		this.fechaDesactivacion = fechaDesactivacion;

	}



	public String getDescMunicipio() {

		return descMunicipio;

	}







	public void setDescMunicipio(String descMunicipio) {

		this.descMunicipio = descMunicipio;

	}







	public String getDescProvincia() {

		return descProvincia;

	}







	public void setDescProvincia(String descProvincia) {

		this.descProvincia = descProvincia;

	}







}	

	